--- title: "getCertificateList" slug: "security-certificatemanager-getcertificatelist" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-certificatemanager-getcertificatelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCertificateList Available in Classic and VPC Get an SSL certificate you have. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/certificates | ### Request headers For information about the headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateName` | String | Optional | Certificate name | | `certificateNo` | Integer | Optional | Certificate number | | `instanceNo` | Integer | Optional | Instance number - Instance: integrated service using the certificate (Global Edge, CDN+, Load Balancer) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v1/certificates?certificateNo=65655' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Number of SSL certificates (`sslCertificateList`) | | `sslCertificateList` | Array | - | Certificate list: [sslCertificateList](/docs/en/security-certificatemanager-getcertificatelist#sslCertificateList) | #### `sslCertificateList` The following describes `sslCertificateList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateNo` | Integer | - | Certificate number | | `certificateType` | String | - | Certificate type | | `certificateName` | String | - | Certificate name | | `memberNo` | String | - | User's NAVER Cloud Platform member ID | | `dnInfo` | String | - | Certificate distinguished name (DN) information | | `domainAddress` | String | - | Representative domain address of the certificate | | `subDomainAddress` | String | - | Sub domain address of the certificate | | `regDate` | Date | - | Certificate registration date and time | | `validStartDate` | Date | - | Certification validity start date and time | | `validEndDate` | Date | - | Certification validity end date and time | | `revokeDate` | Date | - | Certificate revocation date and time - Display only if the certificate is revoked | | `statusCode` | String | - | Certificate status code | | `statusName` | String | - | Certificate status | | `externalYn` | String | - | External certificate status | | `domainCode` | String | - | Domain code | | `caInfo` | String | - | Certificate authority (CA) information | | `certSerialNumber` | String | - | Certificate serial number | | `certPublicKeyInfo` | String | - | Public key information | | `certSignAlgorithmName` | String | - | Signature algorithm | | `usedInstanceNoList` | String | - | List of instances using the certificate | | `updateDate` | Date | - | Latest change date and time | ### Response status codes For information about the HTTP status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalRows": 1, "sslCertificateList": [ { "certificateNo": 65655, "certificateType": "Ncloud_******_01", "certificateName": "test0708-03", "memberNo": "******", "dnInfo": "CN=****.*******.com", "domainAddress": "****.******.com", "regDate": "2024-07-08 17:07:02", "issueDate": "2024-07-08 17:20:23", "validStartDate": "2024-07-08 09:00:00", "validEndDate": "2025-08-08 20:59:59", "statusCode": "-5", "statusName": "Revoked", "externalYn": "N", "domainCode": "PUB", "caInfo": "NAVER Secure Certification Authority 3 Test", "certSerialNumber": "0134f7bac243*****************b6824c05395", "certPublicKeyInfo": "Sun RSA public key, 2048 bits", "certSignAlgorithmName": "SHA256withRSA", "updateDate": "2024-07-08 17:07:02" } ] } ```